List
curl --request GET \
--url https://api.qa.sima.ag/api/v2/third_party/companies \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v2/third_party/companies"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v2/third_party/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v2/third_party/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 1,
"name": "3 lomas s.a."
},
{
"id": 2,
"name": "A.C.A. Cooperativas argentinas"
},
{
"id": 3,
"name": "A.p.n. Argentina De Productos Naturales S.a."
},
{
"id": 4,
"name": "AAGROCO PARAGUAY S.R.L."
},
{
"id": 5,
"name": "Aagroco s.a."
},
{
"id": 6,
"name": "ABISAL DEL ATLANTICO S.A."
},
{
"id": 7,
"name": "Abitech"
},
{
"id": 8,
"name": "ABRANTES S.A."
},
{
"id": 9,
"name": "ABRIGO RURAL S.A."
},
{
"id": 10,
"name": "ACA"
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 264,
"total_items": 2640
}Version 1 > Companies
List
GET
/
api
/
v2
/
third_party
/
companies
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
200 - application/json
OK
The response is of type object.

